Subject: Re: bug#47171: [PATCH 00/10] Move some Bioconductor packages to (gnu packages bioconductor).

From: zimoun <[email-masked]>
Date: Tue, 16 Mar 2021 13:27:01 +0100

Hi Leo,

On Tue, 16 Mar 2021 at 00:56, Leo Famulari <[email-masked]> wrote:
> On Mon, Mar 15, 2021 at 11:33:11PM +0100, Ricardo Wurmus wrote:

> > > zimoun (10):
> > >   gnu: r-limma: Move to (gnu packages bioconductor).
> > >   gnu: r-xvector: Move to (gnu packages bioconductor).
> > >   gnu: r-genomicranges: Move to (gnu packages bioconductor).
> > >   gnu: r-biobase: Move to (gnu packages bioconductor).
> > >   gnu: r-annotationdbi: Move to (gnu packages bioconductor).
> > >   gnu: r-biomart: Move to (gnu packages bioconductor).
> > >   gnu: r-biocparallel: Move to (gnu packages bioconductor).
> > >   gnu: r-biostrings: Move to (gnu packages bioconductor).
> > >   gnu: r-rsamtools: Move to (gnu packages bioconductor).
> > >   gnu: r-delayedarray: Move to (gnu packages bioconductor).
> >
> > Thanks, I’ve pushed them all.
>
> These commits caused `guix pull` to fail, as described here:
>
> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=8ec0ca8faff62f19426f22aeb1bd59a8950ca05a
>
> I think we just needed to import the bioconductor module in the cran
> module, but I wasn't sure so I reverted them in order to fix the problem
> quickly.

Sorry for the annoyance.  I did "make as-derivation" and it reports
nothing.  But indeed, "./pre-inst-env guix pull -p /tmp/new
--url=$(pwd) --disable-authentication --branch=test" breaks.
I do not know if I do something wrong (run make in a worktree for the branch).

Well, thanks for the report and I confirm that adding the bioconductor
import in cran fixes "guix pull".   But in my memories, this import
was adding circular dependency.  Ricardo, WDYT?

Cheers,
simon